package com.base.pdfviewerscannerwhite.utils

import android.content.Context
import android.net.Uri
import com.tom_roush.pdfbox.io.IOUtils
import java.io.InputStream

object UriUtils {

    fun readFileToByteArray(context: Context, uri: Uri): ByteArray? {
        var inputStream: InputStream? = null
        return try {
            inputStream = context.contentResolver.openInputStream(uri)
            // 读取文件内容到字节数组
            IOUtils.toByteArray(inputStream)
        } catch (e: java.lang.Exception) {
            e.printStackTrace()
            null
        } finally {
            if (inputStream != null) {
                try {
                    inputStream.close()
                } catch (e: java.lang.Exception) {
                    e.printStackTrace()
                }
            }
        }
    }
}